# Step by Step deployment guide

- [ ] Edit CHANGELOG.md
  - [ ] Rename [Unreleased] to [$VERSION]
  - [ ] Reintroduce [Unreleased]
  - [ ] Fix [Unreleased] and add [$VERSION] named link at the end of CHANGELOG.md

- [ ] Commit to master to make sure that the master branch is clean and all
      commits are pushed to origin
      ```
      git commit -m"Bump version to $VERSION"
      git push
      ```

- [ ] `git checkout stable`

- [ ] `git merge --no-ff master`

- [ ] (Optional) You can now deploy stable to dspace-dev
      ```
      cd dockerfiles
      ./release.sh $VERSION
      ```

- [ ] Make sure that the stable branch is clean and all commits are pushed to origin

- [ ] `git checkout production`

- [ ] `git checkout -b v$VERSION $HASHID`
      The $HASHID being the commit were the last merge from stable happened
      (before clarindev2clarin.sh changes were committed)

- [ ] `git merge --no-ff stable`

- [ ] resolve conflicts (though there shouldn't be any) and commit

- [ ] Change the version number and the registry branch of the images in all
      deployment yaml files

- [ ] Run the clarindev2clarin.sh script

- [ ] `git commit -a `
- [ ] `git checkout production`

- [ ] `git merge v$VERSION`
- [ ] resolve conflicts and commit

- [ ] `git tag -a v$VERSION -s (-u $GPG_ID_HASH)` defaults to your default GPG key
- [ ] `git branch -d v$VERSION`
- [ ] `git push --all`
- [ ] `git push --tags`
- [ ] `cd dockerfiles`
- [ ] `./release.sh v$VERSION production`
- [ ] `cd ../kubernetes`
- [ ] `./stop_kube.sh`
- [ ] `./start_kube.sh`
- [ ] `git checkout master`
